Loading...
Searching...
No Matches
impl-core.h File Reference
Implementation API » Core Impl

pipewire/impl-core.h More...

Go to the source code of this file.

## Data Structures

struct | pw_impl_core_events
| Factory events, listen to them with pw_impl_core_add_listener. More...

## Macros

#define | PW_VERSION_IMPL_CORE_EVENTS 0

## Functions

struct pw_impl_core * | pw_context_create_core (struct pw_context *context, struct pw_properties *properties, size_t user_data_size)
struct pw_impl_core * | pw_context_get_default_core (struct pw_context *context)
const struct pw_properties * | pw_impl_core_get_properties (struct pw_impl_core *core)
| Get the core properties.
const struct pw_core_info * | pw_impl_core_get_info (struct pw_impl_core *core)
| Get the core information.
int | pw_impl_core_update_properties (struct pw_impl_core *core, const struct spa_dict *dict)
| Update the core properties.
int | pw_impl_core_register (struct pw_impl_core *core, struct pw_properties *properties)
void | pw_impl_core_destroy (struct pw_impl_core *core)
void * | pw_impl_core_get_user_data (struct pw_impl_core *core)
struct pw_global * | pw_impl_core_get_global (struct pw_impl_core *core)
| Get the global of this core.
void | pw_impl_core_add_listener (struct pw_impl_core *core, struct spa_hook *listener, const struct pw_impl_core_events *events, void *data)
| Add an event listener.

## Detailed Description

pipewire/impl-core.h